﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System;
using HeuristicLab.Common;

namespace HeuristicLab.Services.Hive.Common.DataTransfer {
  [DataContract]
  public class SlaveGroup : Resource {
    [DataMember]
    public List<Guid> ChildResourcesIds { get; set; }
    [DataMember]
    public List<Guid> ParentResourcesIds { get; set; }

    public SlaveGroup() {
      ChildResourcesIds = new List<Guid>();
    }
    protected SlaveGroup(SlaveGroup original, Cloner cloner) : base(original, cloner) {
      this.ChildResourcesIds = new List<Guid>(original.ChildResourcesIds);
      this.ParentResourcesIds = new List<Guid>(original.ParentResourcesIds);
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new SlaveGroup(this, cloner);
    }
  }
}
